%{!?mdkversion: %define notmdk 1}

Summary: 	A caching nss module for disconnected operation
Name:      	nss_updatedb
Version:   	10
Release:   	%mkrel 16
Source: 	http://www.padl.com/download/%{name}-%{version}.tar.gz
Source1:	nss_updatedb.cron
Source2:	nss_updatedb.sysconfig
# Uses getgrouplist(3) to find out the groups a user belongs to
# without enumerating all possible groups first
Source3:	getgrouplist.c
Patch0:		nss_updatedb-libdir.patch
Patch2:		nss_updatedb-4-key.patch
Patch3:		nss_updatedb-10-automake-1.13.patch
Group:		System/Libraries
BuildRequires:	db5-devel
License:	GPLv2
Url:		http://www.padl.com/

%description
The nss_updatedb utility maintains a local cache of network
directory user and group information.
Used in conjunction with the pam_ccreds module, it provides
a mechanism for disconnected use of network directories.
These tools are designed to work with pam_ldap and nss_ldap,
also available from PADL.

%prep
%setup -q
%patch0 -p1 -b .libdir
%patch2 -p1 -b .key
%patch3 -p1
install -m 0644 %{SOURCE3} .

%build
autoreconf -fi

%if %{?!notmdk:1}%{?notmdk:0}
echo "#define DB_DIR \"/var/lib/misc\"" >> config.h.in
%endif
echo "#define LIBNSS_DIR \"/%{_lib}\"" >> config.h.in

%configure

%make_build %{?!notmdk:DEFS="-DHAVE_CONFIG_H -I/usr/include/db_nss"}

gcc %{optflags} -Werror getgrouplist.c -o getgrouplist

%install
%make_install

install -m 755 %{SOURCE1} %{buildroot}/%{_sbindir}

install -d %{buildroot}/%{_sysconfdir}/sysconfig
install -m 644 %{SOURCE2} %{buildroot}/%{_sysconfdir}/sysconfig/%{name}

install -d %{buildroot}/%{_sysconfdir}/cron.{monthly,weekly,daily,hourly}
for i in monthly weekly daily hourly
do ln -s %{_sbindir}/%{name}.cron %{buildroot}/%{_sysconfdir}/cron.${i}/%{name}
done

mkdir %{buildroot}%{_bindir}
install -m 0755 getgrouplist %{buildroot}%{_bindir}

%files
%doc AUTHORS README ChangeLog
%{_sbindir}/nss_updatedb*
%{_bindir}/getgrouplist
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}
%{_sysconfdir}/cron*/*
%{_mandir}/man8/nss_updatedb.8*


%changelog
* Thu Mar 17 2022 umeabot <umeabot> 10-16.mga9
+ Revision: 1796982
- Mageia 9 Mass Rebuild

* Thu Feb 13 2020 umeabot <umeabot> 10-15.mga8
+ Revision: 1515609
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 10-14.mga7
+ Revision: 1299805
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Use new make macros

* Tue Sep 05 2017 tv <tv> 10-13.mga7
+ Revision: 1151459
- BR db5-devel
- rebuild without db5_nss-devel

* Tue Feb 02 2016 umeabot <umeabot> 10-12.mga6
+ Revision: 932780
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 10-11.mga5
+ Revision: 749685
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 10-10.mga5
+ Revision: 682944
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 10-9.mga4
+ Revision: 531501
- Mageia 4 Mass Rebuild

* Mon Aug 05 2013 fwang <fwang> 10-8.mga4
+ Revision: 463756
- force reconf
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 07 2013 luigiwalser <luigiwalser> 10-7.mga3
+ Revision: 340726
- fix for automake 1.13

* Tue Jul 31 2012 fwang <fwang> 10-6.mga3
+ Revision: 276299
- rebuild for db-5.3

* Fri Jul 27 2012 fwang <fwang> 10-5.mga3
+ Revision: 274825
- use db5

* Fri Jul 27 2012 fwang <fwang> 10-4.mga3
+ Revision: 274821
- br system dbnss

* Fri Jul 20 2012 tmb <tmb> 10-3.mga3
+ Revision: 272815
- drop requires on nss_db as it's now provided by glibc

* Sun Feb 19 2012 pterjan <pterjan> 10-2.mga2
+ Revision: 210709
- Drope useless BuildRequire on automake1.4
- Fix license tag

* Thu Sep 08 2011 tv <tv> 10-1.mga2
+ Revision: 141091
- new release
- drop version/rel macros

* Tue Mar 08 2011 ennael <ennael> 8-7.mga1
+ Revision: 66508
- clean spec file
- imported package nss_updatedb


* Wed Oct 27 2010 Luca Berra <bluca@mandriva.org> 8-7mdv2011.0
+ Revision: 589562
- really fix DB_LOG_AUTO_REMOVE (mdv#61306)

* Tue Oct 26 2010 Luca Berra <bluca@mandriva.org> 8-6mdv2011.0
+ Revision: 589536
+ rebuild (emptylog)

* Tue Oct 26 2010 Luca Berra <bluca@mandriva.org> 8-5mdv2011.0
+ Revision: 589535
- fix DB_LOG_AUTO_REMOVE not working (mdv#61306)

* Mon Mar 15 2010 Oden Eriksson <oeriksson@mandriva.com> 8-5mdv2010.1
+ Revision: 520196
- rebuilt for 2010.1

* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 8-4mdv2010.0
+ Revision: 426259
- rebuild

* Fri Apr 10 2009 Luca Berra <bluca@mandriva.org> 8-3mdv2009.1
+ Revision: 365849
- fix building with bdb 4.7
- workaround for broken drakauth (#49769)
  ignore some other possible fixed databases in cron job

* Tue Mar 18 2008 Oden Eriksson <oeriksson@mandriva.com> 8-2mdv2008.1
+ Revision: 188540
- fix #39033 (nss_updatedb hardcoded LIBNSS_DIR to /lib instead of /lib64)

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Oct 29 2007 Buchan Milne <bgmilne@mandriva.org> 8-1mdv2008.1
+ Revision: 103449
- New version 8


* Fri Nov 17 2006 Andreas Hasenack <andreas@mandriva.com> 7-2mdv2007.0
+ Revision: 85283
- tabs
- use getgrouplist(3) to get groups instead of "id", which
  enumerates all groups and is expensive if group info is
  stored in, for example, LDAP

* Fri Nov 17 2006 Andreas Hasenack <andreas@mandriva.com> 7-1mdv2007.1
+ Revision: 85127
- updated to version 7, fixing a segfault
- bunzipped patches
- added Frederic Lepied <flepied@mandriva.com> modifications to
  only fetch information from logged in users
- changed above modifications to cope better with group with spaces
  in their names (like "Domain Users")
- return correct errorlevel on end to avoid cron spamming
- Import nss_updatedb

* Tue Jun 13 2006 Buchan Milne <bgmilne@mandriva.org> 6-1mdv2007.0
- new version 6
- integrate changes from bug #19461
- drop pre-%%mkrel macros
- integrate changes to build on non-mandriva systems (with compat macros)

* Thu Oct 27 2005 Pierre Palatin <pierre@palats.com> 4-2mdk
- Patch for x86_64

* Tue Jul 12 2005 Buchan Milne <bgmilne@linux-mandrake.com> 4-1mdk
- New release 4

* Fri Dec 10 2004 Buchan Milne <bgmilne@linux-mandrake.com> 3-1mdk
- version 3
- drop all patches (merged upstream except for dbpath which can 
  now be set via config.h)
- add cron script (S1) and a config file for it (S2)

* Wed Dec 08 2004 Buchan Milne <bgmilne@linux-mandrake.com> 1-1mdk
- use correct version number
- use transactions (p0)
- distribution-specific release tag

* Tue Aug 17 2004 Luca Berra <bluca@vodka.it> 0.1-2mdk 
- rebuilt with db-4.2

* Tue Mar 02 2004 Luca Berra <bluca@vodka.it> 0.1-1mdk 
- initial mandrake contrib

